import React, { useRef } from "react";
import emailjs from "@emailjs/browser";

export const ContactUs = () => {
  const form = useRef();

  const sendEmail = (e) => {
    e.preventDefault();

    emailjs
      .sendForm(
        "service_mp26lud",
        "template_khxf7hm",
        form.current,
        "QDiTbytoOPVdWPR7I"
      )
      .then(
        (result) => {
          console.log(result.text);
        },
        (error) => {
          console.log(error.text);
        }
      );
  };

  return (
    <div className="form">
      <div className="title">Welcome</div>
      <div className="subtitle">Send me a message!</div>
      <form ref={form} onSubmit={sendEmail}>
        <div className="input-container ic1">
          <input
            id="firstname"
            className="input"
            type="text"
            name="user_name"
            placeholder=" "
          />
          <div className="cut"></div>
          <label htmlFor="name" className="placeholder">
            Name
          </label>
        </div>

        <div className="input-container ic2">
          <input
            id="lastname"
            className="input"
            type="email"
            name="user_email"
            placeholder=" "
          />
          <div className="cut"></div>
          <label htmlFor="email" className="placeholder">
            Email
          </label>
        </div>

        <div className="input-container ic2 ic3">
          <textarea
            rows="10"
            className="input"
            type="text"
            name="message"
            placeholder=" "
          />
          <div className="cut cut-long"></div>
          <label htmlFor="message" className="placeholder">
            Message
          </label>
        </div>
        <button type="text" className="submit" value="Send">
          Send
        </button>
      </form>
    </div>
  );
};
